import { ModelConditionUtil, FieldUtil, TableUtilImpl, DataState } from 'model-util';
import { BmModel } from './BmModel';
/**
 * @author Keytop midend auto generate
 * @version 1.0
 * @date 2020-06-13 11:02
 */
interface BmVersion {
    /**
    * 应用ID
    * @type { string }
    */
    appId?: string;
    /**
    * 基础版本ID
    * @type { string }
    */
    basicVersionId?: string;
    /**
    * 模型项目ID
    * @type { string }
    */
    bmProjectId?: string;
    /**
    * 服务是否已发布的
    * @type { boolean }
    */
    bmsReleased?: boolean;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 创建人ID
    * @type { string }
    */
    createUserId?: string;
    /**
    * 描述
    * @type { string }
    */
    description?: string;
    /**
    * Gradle包名
    * @type { string }
    */
    gradlePackageName?: string;
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * Java构建状态 0:成功,1失败,3待构建
    * @type { string }
    */
    javaBuildStatus?: string;
    /**
    * 主版本
    * @type { number }
    */
    major?: number;
    /**
    * 次版本
    * @type { number }
    */
    minor?: number;
    /**
    * NODE构建状态 0:成功,1失败,3待构建
    * @type { string }
    */
    nodeBuildStatus?: string;
    /**
    * NPM构建状态 0:成功,1失败,3待构建
    * @type { string }
    */
    npmBuildStatus?: string;
    /**
    * NPM包名
    * @type { string }
    */
    npmPackageName?: string;
    /**
    * 是否已发布的
    * @type { boolean }
    */
    released?: boolean;
    /**
    * 服务中心ID
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 修改人ID
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 版本号
    * @type { string }
    */
    versionNo?: string;
    /**
    * 子表 BmModel
    * @type { BmModel[] }
    */
    bmModel: BmModel[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state: DataState;
}
interface BmVersionMCU extends ModelConditionUtil<BmVersionMCU> {
    APP_ID: FieldUtil<BmVersionMCU>;
    BASIC_VERSION_ID: FieldUtil<BmVersionMCU>;
    BM_PROJECT_ID: FieldUtil<BmVersionMCU>;
    BMS_RELEASED: FieldUtil<BmVersionMCU>;
    CREATE_TIME: FieldUtil<BmVersionMCU>;
    CREATE_USER_ID: FieldUtil<BmVersionMCU>;
    DESCRIPTION: FieldUtil<BmVersionMCU>;
    GRADLE_PACKAGE_NAME: FieldUtil<BmVersionMCU>;
    ID: FieldUtil<BmVersionMCU>;
    JAVA_BUILD_STATUS: FieldUtil<BmVersionMCU>;
    MAJOR: FieldUtil<BmVersionMCU>;
    MINOR: FieldUtil<BmVersionMCU>;
    NODE_BUILD_STATUS: FieldUtil<BmVersionMCU>;
    NPM_BUILD_STATUS: FieldUtil<BmVersionMCU>;
    NPM_PACKAGE_NAME: FieldUtil<BmVersionMCU>;
    RELEASED: FieldUtil<BmVersionMCU>;
    SERVICE_CENTER_ID: FieldUtil<BmVersionMCU>;
    UPDATE_TIME: FieldUtil<BmVersionMCU>;
    UPDATE_USER_ID: FieldUtil<BmVersionMCU>;
    VERSION_NO: FieldUtil<BmVersionMCU>;
}
declare class BmVersionMU extends TableUtilImpl<BmVersionMCU, BmVersion> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: any;
    joinTables: any[];
    subTables: any[];
    createModelConditionUtil(): BmVersionMCU;
    static get APP_ID(): FieldUtil<BmVersionMCU>;
    static get BASIC_VERSION_ID(): FieldUtil<BmVersionMCU>;
    static get BM_PROJECT_ID(): FieldUtil<BmVersionMCU>;
    static get BMS_RELEASED(): FieldUtil<BmVersionMCU>;
    static get CREATE_TIME(): FieldUtil<BmVersionMCU>;
    static get CREATE_USER_ID(): FieldUtil<BmVersionMCU>;
    static get DESCRIPTION(): FieldUtil<BmVersionMCU>;
    static get GRADLE_PACKAGE_NAME(): FieldUtil<BmVersionMCU>;
    static get ID(): FieldUtil<BmVersionMCU>;
    static get JAVA_BUILD_STATUS(): FieldUtil<BmVersionMCU>;
    static get MAJOR(): FieldUtil<BmVersionMCU>;
    static get MINOR(): FieldUtil<BmVersionMCU>;
    static get NODE_BUILD_STATUS(): FieldUtil<BmVersionMCU>;
    static get NPM_BUILD_STATUS(): FieldUtil<BmVersionMCU>;
    static get NPM_PACKAGE_NAME(): FieldUtil<BmVersionMCU>;
    static get RELEASED(): FieldUtil<BmVersionMCU>;
    static get SERVICE_CENTER_ID(): FieldUtil<BmVersionMCU>;
    static get UPDATE_TIME(): FieldUtil<BmVersionMCU>;
    static get UPDATE_USER_ID(): FieldUtil<BmVersionMCU>;
    static get VERSION_NO(): FieldUtil<BmVersionMCU>;
    get APP_ID(): FieldUtil<BmVersionMCU>;
    get BASIC_VERSION_ID(): FieldUtil<BmVersionMCU>;
    get BM_PROJECT_ID(): FieldUtil<BmVersionMCU>;
    get BMS_RELEASED(): FieldUtil<BmVersionMCU>;
    get CREATE_TIME(): FieldUtil<BmVersionMCU>;
    get CREATE_USER_ID(): FieldUtil<BmVersionMCU>;
    get DESCRIPTION(): FieldUtil<BmVersionMCU>;
    get GRADLE_PACKAGE_NAME(): FieldUtil<BmVersionMCU>;
    get ID(): FieldUtil<BmVersionMCU>;
    get JAVA_BUILD_STATUS(): FieldUtil<BmVersionMCU>;
    get MAJOR(): FieldUtil<BmVersionMCU>;
    get MINOR(): FieldUtil<BmVersionMCU>;
    get NODE_BUILD_STATUS(): FieldUtil<BmVersionMCU>;
    get NPM_BUILD_STATUS(): FieldUtil<BmVersionMCU>;
    get NPM_PACKAGE_NAME(): FieldUtil<BmVersionMCU>;
    get RELEASED(): FieldUtil<BmVersionMCU>;
    get SERVICE_CENTER_ID(): FieldUtil<BmVersionMCU>;
    get UPDATE_TIME(): FieldUtil<BmVersionMCU>;
    get UPDATE_USER_ID(): FieldUtil<BmVersionMCU>;
    get VERSION_NO(): FieldUtil<BmVersionMCU>;
}
export { BmVersion, BmVersionMU };
